libdap::ServerFunction Class Reference

## Public Member Functions

virtual bool | canOperateOn (DDS &)
virtual bool | canOperateOn (DMR &)
bool_func | get_bool_func ()
btp_func | get_btp_func ()
D4Function | get_d4_function ()
proj_func | get_proj_func ()
std::string | getDescriptionString ()
std::string | getDocUrl ()
std::string | getName ()
std::string | getRole ()
std::string | getTypeString ()
std::string | getUsageString ()
std::string | getVersion ()
| ServerFunction (std::string name, std::string version, std::string description, std::string usage, std::string doc_url, std::string role, bool_func f)
| ServerFunction (std::string name, std::string version, std::string description, std::string usage, std::string doc_url, std::string role, btp_func f)
| ServerFunction (std::string name, std::string version, std::string description, std::string usage, std::string doc_url, std::string role, D4Function f)
| ServerFunction (std::string name, std::string version, std::string description, std::string usage, std::string doc_url, std::string role, proj_func f)
void | setDescriptionString (const std::string &desc)
void | setDocUrl (const std::string &url)
void | setFunction (bool_func bf)
void | setFunction (btp_func btp)
void | setFunction (D4Function pf)
void | setFunction (proj_func pf)
void | setName (const std::string &n)
void | setRole (const std::string &r)
void | setUsageString (const std::string &u)
void | setVersion (const std::string &ver)

## Detailed Description

Definition at line 42 of file ServerFunction.h.

## Member Function Documentation

## canOperateOn() [1/2]

virtual bool libdap::ServerFunction::canOperateOn | ( | DDS & |  | ) |

inline virtual

If you are writing a function that can only operate on a particular kind of data, or one that relies on the presence of particular metadata, then you might override this method in order to stop the server from advertising the function in conjunction with datasets to which it cannot be applied.

Parameters

  dds

  A DDS object for the dataset about which we will ask the question: Can this function operate on all or some portion of the contents of this dataset? CAUTION: Any implementation of this should be careful not to read data (or read as little as possible) from the passed DDS. Reading data in this method may have negative effect on overall performance. Examining metadata and dataset structure should be the basis for determining the applicability of a function to the dataset.

Returns
  true If this function operate on all or some portion of the contents of this dataset, false otherwise.

Definition at line 103 of file ServerFunction.h.

## canOperateOn() [2/2]

virtual bool libdap::ServerFunction::canOperateOn | ( | DMR & |  | ) |

inline virtual

See also
  canOperateOn(DDS &)

Parameters

  The | Dataset's DMR.

Returns
  True if the function can work with the dataset, false otherwise.

Definition at line 110 of file ServerFunction.h.

## setFunction()

void libdap::ServerFunction::setFunction | ( | bool_func | bf | ) |

inline

Set the C function pointer for this function object.

Note
  This does not alter any of the other function pointers, so the same name can be used for all four different kinds of functions without conflict.

Parameters

  bf |

Definition at line 120 of file ServerFunction.h.

The documentation for this class was generated from the following files:

- ServerFunction.h
- ServerFunction.cc